from visad.python.JPythonMethods import *
def makeVector(a,b):
  from ucar.unidata.data.grid.DerivedGridFactory import *
  return DerivedGridFactory.createWindVectors(a,b)


def extractPressureFromNWPGrid(fieldimpl):
  """get pressure coordinate grid from a VisAD FieldImpl 
     (a time series of one or more FlatFields);
     user must be sure input is a suitable FlatField. """
  #import methods from
  from ucar.unidata.data.grid.DerivedGridFactory import *
  #import FlatField and FieldImpl class
  from visad.FlatField import *
  from visad.FieldImpl import *
  ff = fieldimpl.getSample(0)
  return DerivedGridFactory.createPressureGridFromDomain(ff)


def extractLatitudeFromNWPGrid(fieldimpl):
  """get the latitude coordinate grid from a 3D VisAD FieldImpl 
     (a time series of one or more FlatFields);
     user must be sure input is a suitable FlatField. """
  #import methods from
  from ucar.unidata.data.grid.DerivedGridFactory import *
  from ucar.unidata.data.grid.GridUtil import *
  #import FlatField and FieldImpl class
  from visad.FieldImpl import *
  ff = DerivedGridFactory.getLatitudeGrid(fieldimpl)
  #ff2 = GridUtil.sliceAtLevel(ff, l000.0)
  return ff


def getNthTimeGrid(fieldimpl, N):
  """get Nth grid in time series fieldimpl, a VisAD FieldImpl;
     user must be sure input is a suitable data field. 
     returns a FlatField. 
     N is an integer, >=0, <= max index of grid time series. """
  #import FlatField and FieldImpl class
  from visad.FlatField import *
  from visad.FieldImpl import *
  # print causes error : print " get sample N = "+N
  #dumpTypes(fieldimpl)  #this does print to console ok
  #trap bad values of N
  if N<0 :
    N = 0
  ff = fieldimpl.getSample(N)
  return ff


def getSliceAtLevel(fieldimpl, level) :
  """ extract a 2D horizontal slice from a 3D grid at "Level."
      level is a real number; must be appropriate for the grid.
      param fieldimpl is a VisAD FieldImpl which may have
      one or more time steps.  """
  #import methods from
  from ucar.unidata.data.grid.GridUtil import *
  from visad.FieldImpl import *
  #level = 500.0 #level in units known by the grid
  ff = sliceAtLevel(fieldimpl, level)
  return ff


